<?php
	session_start();
	include 'conexion.php';
	include 'mysql_Agregar_auditoria.php';
	
	mysqli_set_charset($conexion, "utf8");
	$departamento = $_POST['departamento']; 
	$descripcion = $_POST['descripcion'];
	$modelo = $_POST['modelo'];
	$placa = $_POST['placa'];
	$marca = $_POST['marca'];
	$id_tag = $_POST['tag'];
	$nip = $_POST['nip'];
	$conductor = $_POST['conductor'];
	$numero_economico = $_POST['numero_economico'];
	$carga_dia_control = $_POST['carga_dia_control'];
	$carga_dia_max = $_POST['carga_dia_maximo'];
	$odometro_dif_max = $_POST['odometro_maximo'];
	$volumen_dia_control = $_POST['volumen_dia_control'];
	$volumen_dia_max = $_POST['volumen_dia_maximo']; 
	$monto_dia_control = $_POST['monto_dia_control']; 
	$monto_dia_max = $_POST['monto_dia_maximo'];
	$periodo_tiempo = $_POST['periodo_tiempo'];
	$periodo_dias = $_POST['periodo_dias']; 
	$volumen_periodo_control = $_POST['volumen_periodo_control'];
	$volumen_periodo_max = $_POST['volumen_periodo_maximo'];
	$monto_periodo_control = $_POST['monto_periodo_control'];
	$monto_periodo_max = $_POST['monto_periodo_maximo'];
	$dia_semana_control = $_POST['semana_control'];
	$dia_semana = $_POST['dias_semana'];
	$producto_control = $_POST['producto_control'];
	$producto_id = $_POST['producto_id'];
	$monto_volumen_fijo = $_POST['volumen_monto_fijo_control'];
	$monto_fijo = $_POST['monto_fijo'];
	$volumen_fijo = $_POST['volumen_fijo'];
	$estado =  $_POST['habilitado'];
	$flag = 0;
	
	$odometro_control = $_POST['odometro_control'];
	$referencia_control = $_POST['referencia_control'];
	$nip_control = $_POST['nip_control'];
	$mostrar_saldo = $_POST['muestra_saldo'];
	$capacidad_tanque = $_POST['capacidad_tanque'];
	$periferico_control = $_POST['periferico_control'];
	
	$select = "select ";
	$select .= "id_tag ";
	$select .= "from ";
	$select .= "vehiculos ";
	$select .= "where ";
	$select .= "id_tag = '" . $id_tag . "' " ;
	
	$resultado = $conexion->query($select);
	
	if($resultado === false) 
		die("Error en la seleccion del tag del vehiculo");
	else
		$número_filas = $resultado->num_rows;
		
	if($número_filas > 0)	
		die("Error ya existe un vehiculo con este tag");
	
	$select = "select ";
	$select .= "max(id_vehiculo) as id_vehiculo ";
	$select .= "from ";
	$select .= "vehiculos";
	
	$resultado = $conexion->query($select);
	
	if($resultado === false) 
		die("Error en la seleccion del id_vehiculo");
	else
		$número_filas = $resultado->num_rows;
		
	if($número_filas == 0)
	{
		$id_vehiculo = 1;
	}
	else
	{
		while ($row=$resultado->fetch_row()){ 
		$id_vehiculo = $row[0];
		}
		$resultado->free();
		$id_vehiculo ++;
	}
	
	
	$insert = "INSERT INTO ";
	$insert .= "vehiculos ";
	$insert .= "( ";
	$insert .= "id_vehiculo, ";
	$insert .= "id_cliente, "; //1
	$insert .= "descripcion, ";
	$insert .= "marca, ";
	$insert .= "modelo, ";
	$insert .= "placa, ";
	$insert .= "id_tag, ";//2
	$insert .= "estado, ";
	$insert .= "fecha_creacion, ";
	$insert .= "carga_dia_control, ";//3
	$insert .= "carga_dia_max, ";//4
	$insert .= "monto_dia_control, ";//5
	$insert .= "monto_dia_max, ";//6
	$insert .= "volumen_dia_control, ";//7
	$insert .= "volumen_dia_max, ";//8
	$insert .= "monto_periodo_control, ";//9
	$insert .= "monto_periodo_max, ";	//10
	$insert .= "volumen_periodo_control, ";//11
	$insert .= "volumen_periodo_max, ";//12
	$insert .= "periodo_tiempo, ";//13
	$insert .= "periodo_dias, ";	//14
	$insert .= "odometro_dif_max, ";//15
	$insert .= "nip, ";
	$insert .= "dia_semana_control, ";//16
	$insert .= "dia_semana, ";//17
	$insert .= "conductor, ";
	$insert .= "numero_economico, ";
	$insert .= "departamento, ";
	$insert .= "producto_control, ";//18
	$insert .= "producto_id, ";//19
	
	$insert .= "monto_volumen_fijo_control, ";//20
	$insert .= "monto_fijo, ";//21
	$insert .= "volumen_fijo, ";//22
	$insert .= "odometro_control, ";//23
	$insert .= "mostrar_saldo, ";//24
	$insert .= "nip_control, ";//25
	$insert .= "referencia_control, ";//26
	$insert .= "capacidad_tanque, ";//27
	$insert .= "periferico_control ";//28
	$insert .= " ) ";
	$insert .= " VALUES ";
	$insert .= "( ";
	$insert .= $id_vehiculo . ", ";
	$insert .= $_SESSION['id_cliente']. ", ";
	$insert .= "'" . $descripcion . "', ";
	$insert .= "'" . $marca . "', ";
	$insert .= "'" . $modelo . "', ";
	$insert .= "'" . $placa . "', ";
	$insert .= "'" . $id_tag . "', ";
	$insert .= $estado . ", ";
	$insert .= "now(), ";
	$insert .= $carga_dia_control . ", ";
	$insert .= $carga_dia_max . ", ";
	$insert .= $monto_dia_control . ", ";
	$insert .= $monto_dia_max . ", ";
	$insert .= $volumen_dia_control . ", ";
	$insert .= $volumen_dia_max . ", ";
	$insert .= $monto_periodo_control . ", ";
	$insert .= $monto_periodo_max . ", ";
	$insert .= $volumen_periodo_control . ", ";
	$insert .= $volumen_periodo_max . ", ";
	$insert .= $periodo_tiempo . ", ";
	$insert .= $periodo_dias . ", ";		
	$insert .= $odometro_dif_max . ", ";
	$insert .= "'" . $nip . "', ";
	$insert .= $dia_semana_control . ", ";
	$insert .= "'" . $dia_semana . "', ";
	$insert .= "'" . $conductor . "', ";
	$insert .= "'" . $numero_economico . "', ";
	$insert .= "'" . $departamento . "', ";
	$insert .= $producto_control . ", ";
	$insert .= $producto_id . ", ";

	$insert .= $monto_volumen_fijo . ", ";
	$insert .= $monto_fijo . ", ";
	$insert .= $volumen_fijo . ", ";
	$insert .= $odometro_control . ", ";
	$insert .= $mostrar_saldo . ", ";
	$insert .= $nip_control . ", ";
	$insert .= $referencia_control . ", ";
	$insert .= $capacidad_tanque . ", ";
	$insert .= $periferico_control . " ";
	$insert .= ") ";
			
	$resultado = $conexion->query($insert); 
	
	if($resultado === false) 
		die("Error en la insercion del vehiculo " );	
	
	echo "Vehículo insertado correctamente";

	$informacion = 'Agregó el vehículo '.$id_vehiculo;
	$datos = "1>".$_SESSION['id_cliente']." 2>".$id_tag;
	if($carga_dia_control>0){ $datos .= " 3";}
	if($carga_dia_max>0){ $datos .= " 4>".$carga_dia_max;}
	if($monto_dia_control>0){ $datos .= " 5";}
	if($monto_dia_max>0){ $datos .= " 6>".$monto_dia_max;}
	if($volumen_dia_control>0){ $datos .= " 7";}
	if($volumen_dia_max>0){ $datos .= " 8>".$volumen_dia_max;}
	if($monto_periodo_control>0){ $datos .= " 9";}
	if($monto_periodo_max>0){ $datos .= " 10>".$monto_periodo_max;}
	if($volumen_periodo_control>0){ $datos .= " 11";}
	if($volumen_periodo_max>0){ $datos .= " 12>".$volumen_periodo_max;}
	if($periodo_tiempo>0){ $datos .= " 13>".$periodo_tiempo;}
	if($periodo_dias>0){ $datos .= " 14>".$periodo_dias;}
	if($odometro_dif_max>0){ $datos .= " 15>".$odometro_dif_max;}
	if($dia_semana_control>0){ $datos .= " 16";}
	if($dia_semana>0){ $datos .= " 17>".$dia_semana;}
	if($producto_control>0){ $datos .= " 18";}
	if($producto_id>0){ $datos .= " 19>".$producto_id;}
	if($monto_volumen_fijo>0){ $datos .= " 20";}
	if($monto_fijo>0){ $datos .= " 21>".$monto_fijo;}
	if($volumen_fijo>0){ $datos .= " 22>".$volumen_fijo;}
	if($odometro_control>0){ $datos .= " 23";}
	if($mostrar_saldo>0){ $datos .= " 24>".$mostrar_saldo;}
	if($nip_control>0){ $datos .= " 25";}
	if($referencia_control>0){ $datos .= " 26";}

	
	insertAuditoria($informacion,$datos,$_SESSION['id_usuario'],$_SESSION['direccion_ip'],$_SESSION['direccion_mac']);	
	mysqli_close($conexion);	
	
?>